=== debian/changelog ===
proxysql (1.2.3-3) unstable; urgency=low

  * Update to new upstream release Proxysql 1.2.3-3

 -- Percona Jenkins <jenkins@vps-wheezy-x32-02.ci.percona.com>  Wed, 28 Sep 2016 21:48:27 -0400

proxysql (1.2.3) unstable; urgency=low

  * Initial Release.

 -- EvgeniyPatlan <evgeniy.patlan@percona.com>  thu, 14 Jul 2016 07:41:56 -0400
