=== deps/Makefile ===
--- 
+++ 
@@ -13,23 +13,27 @@
 libdaemon: libdaemon/libdaemon/libdaemon/.libs/libdaemon.a
 
 jemalloc/jemalloc/lib/libjemalloc.a:
-	cd jemalloc && rm -rf jemalloc-4.2.1
-	cd jemalloc && tar -jxf jemalloc-4.2.1.tar.bz2
-	cd jemalloc/jemalloc && ./configure --enable-xmalloc --enable-munmap
+	cd jemalloc && rm -rf jemalloc-4.3.1
+	cd jemalloc && tar -jxf jemalloc-4.3.1.tar.bz2
+	cd jemalloc/jemalloc && ./configure --enable-xmalloc --enable-munmap --enable-prof
 	cd jemalloc/jemalloc && CC=${CC} CXX=${CXX} ${MAKE}
 
 jemalloc: jemalloc/jemalloc/lib/libjemalloc.a
 
 
 mariadb-client-library/mariadb_client/include/my_config.h:
-	cd mariadb-client-library && rm -rf mariadb-connector-c-2.1.0-src
-	cd mariadb-client-library && tar -zxf mariadb-connector-c-2.1.0-src.tar.gz
+#	cd mariadb-client-library && rm -rf mariadb-connector-c-2.1.0-src
+#	cd mariadb-client-library && tar -zxf mariadb-connector-c-2.1.0-src.tar.gz
+	cd mariadb-client-library && rm -rf mariadb-connector-c-2.3.1
+	cd mariadb-client-library && tar -zxf mariadb-connector-c-2.3.1-src.tar.gz
 	cd mariadb-client-library/mariadb_client && cmake .
 	cd mariadb-client-library/mariadb_client && patch libmariadb/libmariadb.c < ../libmariadb.c.patch
 	cd mariadb-client-library/mariadb_client && patch libmariadb/net.c < ../net.c.patch
-	cd mariadb-client-library/mariadb_client && patch libmariadb/mysql_async.c < ../mysql_async.c.patch
+#	cd mariadb-client-library/mariadb_client && patch libmariadb/mysql_async.c < ../mysql_async.c.patch
 	cd mariadb-client-library/mariadb_client && patch libmariadb/password.c < ../password.c.patch
+#	cd mariadb-client-library/mariadb_client && patch libmariadb/ma_secure.c < ../ma_secure.c.patch
 	cd mariadb-client-library/mariadb_client && patch include/mysql.h < ../mysql.h.patch
+	cd mariadb-client-library/mariadb_client && patch libmariadb/my_alloc.c < ../my_alloc.c.patch
 	cd mariadb-client-library/mariadb_client && CC=${CC} CXX=${CXX} ${MAKE}
 # cd mariadb-client-library/mariadb_client/include && make my_config.h
 
@@ -37,7 +41,7 @@
 
 
 sqlite3/sqlite3/sqlite3.o:
-	cd sqlite3/sqlite3 && ${CC} -O2 -c -o sqlite3.o sqlite3.c
+	cd sqlite3/sqlite3 && ${CC} -O2 -c -o sqlite3.o sqlite3.c -DSQLITE_ENABLE_MEMORY_MANAGEMENT
 
 sqlite3: sqlite3/sqlite3/sqlite3.o
 
@@ -55,14 +59,15 @@
 	cd re2 && tar -zxf re2-20140304.tgz
 	cd re2/re2 && sed -i -e 's/-O3 -g /-O3 -fPIC /' Makefile
 #	cd re2 && patch re2/util/mutex.h < mutex.h.patch
+	cd re2/re2 && sed -i -e 's/-O3 /-O3 -DMEMORY_SANITIZER /' Makefile
 	cd re2/re2 && CC=${CC} CXX=${CXX} ${MAKE}
 
 re2: re2/re2/obj/libre2.a
 
 cleanall:
 	cd libdaemon && rm -rf libdaemon-0.14
-	cd jemalloc && rm -rf jemalloc-3.6.0
-	cd mariadb-client-library && rm -rf mariadb-connector-c-2.1.0-src
+	cd jemalloc && rm -rf jemalloc-4.3.1
+	cd mariadb-client-library && rm -rf mariadb-connector-c-2.3.1
 	cd libconfig && rm -rf libconfig-1.4.9
 	cd re2 && rm -rf re2
 	cd sqlite3/sqlite3 && rm -rf *.o
