=== debian/changelog ===
proxysql (1.3.7-1.1) unstable; urgency=low

  * Update to new upstream release Proxysql 1.3.7-1.1

 -- Percona Jenkins <evgeniy.patlan@percona.com>  Wed, 05 Jul 2017 06:20:18 +0000

proxysql (1.3.7) unstable; urgency=low

  * Initial Release.

 -- EvgeniyPatlan <evgeniy.patlan@percona.com>  thu, 14 Jul 2016 07:41:56 -0400
