=== debian/control ===
Source: proxysql
Build-Depends: debhelper (>= 9), debconf, pkg-config, g++, cmake
Version: 1.3.7
Maintainer: Rene Cannao <rene.cannao@gmail.com>
Section: misc
Priority: optional
Homepage: http://www.proxysql.com
Standards-Version: 3.9.2


Package: proxysql
Architecture: amd64
Description: High performance MySQL proxy
 ProxySQL is a fast, reliable MySQL proxy with advanced runtime configuration management (virtually no configuration change requires a restart). 
 It features query routing, query caching, query rewriting (for queries generated by ORMs, for example) and is most of the time a drop-in replacement for mysqld from the point of view of the application. It can be configured and remote controlled through an SQL-compatible admin interface.
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf-utils
Pre-Depends: adduser,
             debconf (>= 0.2.17)
